Subject: Re: bug#24891: 25.1: Falsehood on page "Major Modes" of Emacs manual.

From: Evgeny Roubinchtein <[email-masked]>
Date: Sun, 6 Nov 2016 18:55:29 -0500

Is it the case that the modes that do run prog-mode-hook are exactly the
modes derived from prog-mode?

On Sun, Nov 6, 2016 at 6:19 PM, Drew Adams <[email-masked]> wrote:

> > In the Emacs manual, page "Major Modes" appears the following:
> >
> >     all programming language modes run `prog-mode-hook', prior to
> >     running their own mode hooks.
> >
> > I suggest amending this sentence to something like:
> >
> >     many programming language modes (including all these distributed
> >     with Emacs) run `prog-mode-hook', prior to runnuing their own
> >     mode hooks.
>
> +1.
>
> But: these -> those,
>      runnuing -> running,
>      and we can drop the comma before "prior".
>
> And I'm not sure why we need to or should say "(including...)".  Why?
>
> I'd suggest just this:
>
>   many programming language modes run `prog-mode-hook' before
>   running their own mode hooks
>
> Or even "some" instead of "many".  What does it matter how
> many do this?
>
>
>
>
>